clc
clear
Mp=4;Mw=1;Mr=.2;H=.2;L=.3;Rwheel=.07;Rrol=.01;Phi=45*pi/180;
Ipx=.01;Ipxy=.001;Ipxz=.001;Ipy=.02;Ipyz=.001;Ipz=.17;
Iwx=13e-4;Iwy=25e-4;Irx=3e-5;Iry=1e-5;
Muf1=.05;Muf2=.05;Muf3=.05;Muf4=.05;
RobotParameters=[Mp;Mw;Mr;H;L;Rwheel;Rrol;Phi;Ipx;Ipxy;Ipxz;Ipy;Ipyz;Ipz;Iwx;Iwy;Irx;Iry;Muf1;Muf2;Muf3;Muf4];
%
X0=[0 0 0 0 1.4 0];
U=[1;-1;-1;1];
c=1;
Dt=.0001;
X(c,:)=X0;
for t=Dt:Dt:3
    DX=PlantWithFriction(t,X(c,:),U,RobotParameters);
    X(c+1,:)=X(c,:)+DX'*Dt;
    c=c+1;
end
time=0:Dt:3;
plot(time',X(1:length(time),2:5))

    