function PlotOffline(t,Xr,Po0,Vo,No,Ro,Rsafe,Rr,L,H,CaseNumber,Xd)
Color=[rand(No,1) zeros(No,1) rand(No,1)];
if CaseNumber==2
    xl1=0:.05:5;
    yl1min=-1/5*xl1+1;
    yl1max=5*ones(1,length(xl1));
    yl2=1:.05:5;
    xl2=zeros(1,length(yl2));
    yl3=0:.05:5;
    xl3=6-sqrt(2.7^2-(yl3-2.5).^2);
elseif CaseNumber==1
    xl1=-.2:.01:3.4;
    yl1=-.2*ones(1,length(xl1));
    yl2=3.4*ones(1,length(xl1));
    yl3=-.2:.01:3.4;
    xl2=-.2*ones(1,length(yl3));
    xl3=3.4*ones(1,length(yl3));
end
for k=1:10:length(t)
    Pobs=Po0+t(k).*Vo;
    clf('reset')
    tt=0:.01:2*pi;
    for i=1:No
        grid on
        if Pobs(i,1)-Ro(i)<=5 && Pobs(i,2)-Ro(i)<=5 && Pobs(i,1)+Ro(i)>=-0 && Pobs(i,2)+Ro(i)>=0
            grid on
            xx=Pobs(i,1)+Ro(i)*cos(tt);
            yy=Pobs(i,2)+Ro(i)*sin(tt);
            xxs=Pobs(i,1)+(Ro(i)+Rsafe)*cos(tt);
            yys=Pobs(i,2)+(Ro(i)+Rsafe)*sin(tt);
            plot(xx,yy,'red')
            if norm(Pobs(i,:)-Xr(k,1:2))-Ro(i)-Rr>=1
                fill(xx,yy,[1,1,1],'FaceColor','yellow','EdgeColor','blue')
            else
                fill(xx,yy,[1,1,1],'FaceColor',Color(i,:),'EdgeColor','blue')
            end
            text(Pobs(i,1)-.03,Pobs(i,2),num2str(i),'Fontsize',11,'FontWeight','bold','FontName','Times New Roman')
            hold on
            grid on
            hold on 
        end
    end
    if CaseNumber==2
        plot(xl1,yl1min,'black','LineWidth',2)
        plot(xl1,yl1max,'black','LineWidth',2)
        plot(xl2,yl2,'black','LineWidth',2)
        plot(xl3,yl3,'black','LineWidth',2)
    elseif CaseNumber==1
        plot(xl1,[yl1;yl2],'black','LineWidth',2)
        plot(xl2,yl3,'black','LineWidth',2)
        plot(xl3,yl3,'black','LineWidth',2)
    end
    hold on
    plot(Xr(1:k,1),Xr(1:k,2),'black');
    grid on
    hold on
    DrawRobot(Xr(k,1),Xr(k,2),Xr(k,3),2*L,2*H)
    grid on
    xxd=.02*cos(tt)+Xd(1);
    yyd=.02*sin(tt)+Xd(2);
    plot(xxd,yyd,'green')
    fill(xxd,yyd,[1,1,1],'FaceColor','red','EdgeColor','black')
    drawnow;
    Ax=gca;
    Ax.FontSize=10;
    Ax.FontName='Times New Roman';
    Ax.FontWeight='bold';
    xlabel('x (m)','Fontsize',12,'FontWeight','bold','FontName','Times New Roman');
    ylabel('y (m)','Fontsize',12,'FontWeight','bold','FontName','Times New Roman');
    axis([-.2 5.2 -.2 5.2]);
end
end


